import { StyleSheet } from 'react-native'
import {
  windowHeight,
  windowWidth,
  fontSizes,
} from '../../../theme/appConstant'
import appFonts from '../../../theme/appFonts'
import appColors from '../../../theme/appColors'

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
  detailContainer: {
    marginHorizontal: windowWidth(5),
  },
  profileContainer: {
    backgroundColor: appColors.white,
    borderWidth: windowHeight(0.1),
    borderColor: appColors.border,
    borderRadius: windowHeight(1),
    marginVertical: windowHeight(2),
    paddingBottom: windowHeight(2),
  },
  profileView: {
    marginVertical: windowWidth(3),
    justifyContent: 'space-between',
    alignItems: 'center',
    marginHorizontal: windowWidth(4),
  },
  profileImg: {
    height: windowHeight(5),
    width: windowHeight(5),
  },
  starView: {
    alignItems: 'center',
  },
  riderContainer: {
    flexDirection: 'column',
    marginHorizontal: windowWidth(2),
  },
  name: {
    color: appColors.primaryFont,
    fontFamily: appFonts.regular,
    marginVertical: windowHeight(0.2),
    fontSize: fontSizes.FONT4,
    marginHorizontal: windowWidth(1),
  },
  rating: {
    color: appColors.primaryFont,
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(0.5),
  },
  tag: {
    backgroundColor: appColors.primary,
    paddingHorizontal: windowWidth(4),
    paddingVertical: windowHeight(0.5),
    borderRadius: windowHeight(2),
    height: windowHeight(3.5),
    alignItems: 'center',
    justifyContent: 'center',
  },
  tagTitle: {
    color: appColors.black,
    fontFamily: appFonts.medium,
  },
  containerPrice: {
    marginVertical: windowHeight(0.5),
    height: windowHeight(0.6),
    width: '100%',
  },
  priceContainer: {
    marginHorizontal: windowWidth(3),
    marginVertical: windowHeight(1.5),
  },
  carLogo: {
    height: windowHeight(5.2),
    width: windowHeight(5.2),
    resizeMode: 'contain',
  },
  rideNoContainer: {
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: windowWidth(2),
    paddingHorizontal: windowWidth(4),
    height: windowHeight(4.1),
    borderRadius: windowWidth(25),
    width: '60%',
  },
  rideNO: {
    color: appColors.primaryFont,
    fontFamily: appFonts.regular,
    marginVertical: windowHeight(0.4),
  },
  price: {
    color: appColors.price,
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(0.4),
  },
  price1: {
    color: appColors.price,
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(0.4),
    fontSize: fontSizes.FONT3HALF,
  },
  createDate: {
    fontFamily: appFonts.regular,
    color: appColors.secondaryFont,
    marginLeft: windowWidth(1),
  },
  pickUpBorder: {
    borderStyle: 'dashed',
    marginVertical: windowHeight(1),
    borderBottomWidth: 1,
  },
  dropOffBorder: {
    marginVertical: windowHeight(1),
    borderBottomWidth: windowWidth(0.45),
    width: '82%',
    alignSelf: 'flex-end',
  },
  verticalDot: {
    borderLeftWidth: windowHeight(0.15),
    borderColor: appColors.primary,
    height: windowHeight(5),
    marginHorizontal: windowWidth(8.5),
    borderStyle: 'dashed',
    position: 'absolute',
    marginTop: windowHeight(4),
  },
  location: {
    color: appColors.primaryFont,
    fontFamily: appFonts.medium,
  },
  locationName: {
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(2),
  },
  rentalContainer: {
    justifyContent: 'space-between',
    marginBottom: windowHeight(0.5),
    backgroundColor: appColors.white,
    borderRadius: windowHeight(0.6),
  },
  containerSchedule: {
    padding: windowHeight(1),
  },
  startTime: {
    color: appColors.primaryFont,
    fontFamily: appFonts.medium,
  },
  scheduleClock: {
    marginTop: windowHeight(0.5),
  },
  smallCalander: {
    marginBottom: windowHeight(0.8),
  },
  formattedDateText: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
  },
  rentalBorder: {
    borderLeftWidth: windowHeight(0.1),
    marginVertical: windowHeight(1),
  },
  packageContainer: {
    padding: windowHeight(1.5),
    backgroundColor: appColors.white,
    borderWidth: windowWidth(0.45),
    borderColor: appColors.border,
    borderRadius: windowWidth(5),
    marginTop: windowHeight(1.5),
  },
  vehicleLogo: {
    height: windowHeight(18),
    borderRadius: windowWidth(5),
    width: '100%',
    resizeMode: 'stretch',
  },
  packageDescription: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    marginTop: windowHeight(1),
  },
  details: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  acceptBtn: {
    position: 'absolute',
    left: 0,
    right: 0,
    bottom: windowHeight(2),
  },
  timeView: {
    flexDirection: 'row',
    alignItems: 'center',
    marginVertical: windowHeight(0.5),
  },
  gap: {
    gap: windowHeight(12),
  },
  round: {
    height: windowHeight(5.3),
    width: windowHeight(5.3),
    borderRadius: windowHeight(5.3),
    alignItems: 'center',
    justifyContent: 'center',
    zIndex: 3,
  },
  round1: {
    height: windowHeight(5.3),
    width: windowHeight(5.3),
    borderRadius: windowHeight(5.3),
    alignItems: 'center',
    justifyContent: 'center',
    zIndex: 3,
    borderWidth: windowWidth(0.45),
    position: 'absolute',
    alignSelf: 'flex-end',
    marginTop: windowHeight(3.5),
    marginHorizontal: windowWidth(4),
  },
  box: {
    height: windowHeight(6.5),
    width: windowWidth(16),
    borderRadius: windowWidth(2.5),
    alignItems: 'center',
    justifyContent: 'center',
  },
  profile: {
    height: windowHeight(6),
    width: windowHeight(6),
    borderRadius: windowHeight(6),
    alignItems: 'center',
    justifyContent: 'center',
  },
})
export { styles }
